Subject: bug#64185: proposal for new function: copy-line

From: Drew Adams <[email-masked]>
Date: Thu, 22 Jun 2023 19:05:51 +0000

Sorry, but I can't comment further, as I don't
understand what this does.  I don't see the
code for it in the bug thread, and I can't
guess from the descriptions there.

E.g., what does this mean?

> we could have a user option to do that
> regardless of the argument, but then we
> should decide on which of the N new lines
> to put point: the first one copied or the last one.

And this doesn't help (me) either:

> In case of a prefix numeric argument,
> it also makes sense to have 3 choices:
>
> 1. leave point on the old line
> 2. move point to the first new line
> 3. move point to the last new line

The "old line" is presumably the current
line before the command is invoked.  No
idea what "first" and "last" new line
might mean.

Is this about duplicating multiple lines?
Is it about doing that and then also
moving them down or up?

Without a full description or seeing the
code, I can't suggest anything helpful
about the name; sorry.